%ifnarch %{arm64} x86_64
%global debug_package %nil
%endif

%global pypi_name pytest_codspeed

Name:           python-pytest-codspeed
Version:        3.2.0
Release:        %mkrel 3
Summary:        A pytest plugin to create CodSpeed benchmarks
License:        MIT
Group:          Development/Python
URL:            https://github.com/CodSpeedHQ/pytest-codspeed
Source:         %{pypi_source}
# gh#CodSpeedHQ/pytest-codspeed#68 mcepl@suse.com add missing files
Patch0:         make_tests_work.patch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pytest
%ifarch %{arm64} x86_64
BuildRequires:  valgrind-devel
%endif

%description
A pytest plugin to create CodSpeed benchmarks.

%package -n     python3-pytest-codspeed
Summary:        A pytest plugin to create CodSpeed benchmarks
Group:          Development/Python

%description -n python3-pytest-codspeed
A pytest plugin to create CodSpeed benchmarks.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
%pytest -v

%files -n python3-pytest-codspeed -f %{pyproject_files}
%license LICENSE
%doc README.md


%changelog
* Sat Mar 01 2025 daviddavid <daviddavid> 3.2.0-3.mga10
+ Revision: 2154086
- rebuild for python 3.13

* Sat Feb 15 2025 wally <wally> 3.2.0-2.mga10
+ Revision: 2148971
- build extension on 64 bit arches
- BR valgrind

* Thu Feb 13 2025 daviddavid <daviddavid> 3.2.0-1.mga10
+ Revision: 2148698
- initial package python-pytest-codspeed

